summaryrefslogtreecommitdiffstats
path: root/multimedia/ProjectX
diff options
context:
space:
mode:
author Roberto Neri <rneri@libero.it>2012-12-05 22:05:14 +0100
committer dsomero <xgizzmo@slackbuilds.org>2012-12-11 16:22:28 -0500
commit77bca3871cb2cd1d1f8a32e12375fafca6684042 (patch)
tree97ec69a8dc383515e14fdd45ae9f3eba4a86907f /multimedia/ProjectX
parent3df4b7d7ced07a0bd4453f706b68f3c286a5efbe (diff)
downloadslackbuilds-77bca3871cb2cd1d1f8a32e12375fafca6684042.tar.gz
slackbuilds-77bca3871cb2cd1d1f8a32e12375fafca6684042.tar.xz
multimedia/ProjectX: Added. (DVB demux tool)
Signed-off-by: Heinz Wiesinger <pprkut@slackbuilds.org>
Diffstat (limited to 'multimedia/ProjectX')
-rw-r--r--multimedia/ProjectX/ProjectX-0.91.0.patch17
-rw-r--r--multimedia/ProjectX/ProjectX.SlackBuild94
-rw-r--r--multimedia/ProjectX/ProjectX.desktop9
-rw-r--r--multimedia/ProjectX/ProjectX.info10
-rw-r--r--multimedia/ProjectX/README2
-rw-r--r--multimedia/ProjectX/doinst.sh4
-rw-r--r--multimedia/ProjectX/slack-desc19
7 files changed, 155 insertions, 0 deletions
diff --git a/multimedia/ProjectX/ProjectX-0.91.0.patch b/multimedia/ProjectX/ProjectX-0.91.0.patch
new file mode 100644
index 0000000000..6daf0ce4f2
--- /dev/null
+++ b/multimedia/ProjectX/ProjectX-0.91.0.patch
@@ -0,0 +1,17 @@
+Binary files Project-X_0.91.0.orig/ProjectX.jar and Project-X_0.91.0/ProjectX.jar differ
+Only in Project-X_0.91.0: build
+diff -ru Project-X_0.91.0.orig/build.sh Project-X_0.91.0/build.sh
+--- Project-X_0.91.0.orig/build.sh 2007-01-23 18:16:06.000000000 +0100
++++ Project-X_0.91.0/build.sh 2012-12-05 09:47:17.502860392 +0100
+@@ -21,6 +21,11 @@
+ mkdir -p build
+ javac -encoding "ISO-8859-1" -deprecation -O -g:none -classpath lib/commons-net-1.3.0.jar:lib/jakarta-oro-2.0.8.jar -d build @sources.lst
+ cp ./resources/* ./build
++
++cp -a htmls ReadMe.txt build
++rm -f build/htmls/projectx_desc_de_pdf.zip
++cp -a ReleaseNotes_0.91.0.txt build/ReleaseNotes.txt
++
+ jar cfvm ProjectX.jar MANIFEST.MF -C build .
+
+ ######################################################
diff --git a/multimedia/ProjectX/ProjectX.SlackBuild b/multimedia/ProjectX/ProjectX.SlackBuild
new file mode 100644
index 0000000000..319127c9e4
--- /dev/null
+++ b/multimedia/ProjectX/ProjectX.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Slackware build script for ProjectX
+
+# Copyright 2012 Roberto Neri, Palermo, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ProjectX
+VERSION=${VERSION:-0.91.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf Project-X_${VERSION}
+unzip $CWD/${PRGNAM}_${VERSION}.zip
+cd Project-X_${VERSION}
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Fix directories permissions
+find . -type d -exec chmod 755 {} \;
+
+# Patch the build script and rebuild the .jar file to include help files
+patch -p1 < $CWD/$PRGNAM-$VERSION.patch
+
+sh build.sh
+
+mkdir -p $PKG/opt/$PRGNAM/lib $PKG/usr/bin
+
+cp -a MANIFEST.MF $PRGNAM.jar build.sh noguisources.lst sources.lst \
+ resources src \
+ $PKG/opt/$PRGNAM
+
+cp -a lib/commons-net-1.3.0.jar \
+ lib/jakarta-oro-2.0.8.jar \
+ $PKG/opt/$PRGNAM/lib
+
+cat > $PKG/usr/bin/$PRGNAM << EOF
+#!/bin/sh
+
+java -Djava.library.path=/opt/$PRGNAM/lib -jar /opt/$PRGNAM/$PRGNAM.jar "\$@"
+
+EOF
+
+chmod 755 $PKG/usr/bin/$PRGNAM
+
+mkdir -p $PKG/usr/share/applications
+
+install -m 644 $CWD/$PRGNAM.desktop \
+ $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Copying htmls/projectx_desc_de_pdf.zip \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/ProjectX/ProjectX.desktop b/multimedia/ProjectX/ProjectX.desktop
new file mode 100644
index 0000000000..983b7af4af
--- /dev/null
+++ b/multimedia/ProjectX/ProjectX.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Type=Application
+Name=ProjectX
+GenericName=ProjectX
+Comment=A video editing and demultiplexing tool
+Icon=package_multimedia
+Exec=ProjectX
+Terminal=false
+Categories=AudioVideo;
diff --git a/multimedia/ProjectX/ProjectX.info b/multimedia/ProjectX/ProjectX.info
new file mode 100644
index 0000000000..892d2ba180
--- /dev/null
+++ b/multimedia/ProjectX/ProjectX.info
@@ -0,0 +1,10 @@
+PRGNAM="ProjectX"
+VERSION="0.91.0"
+HOMEPAGE="http://project-x.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/project-x/ProjectX_0.91.0.zip"
+MD5SUM="5cf7bb227abe2c16d34e8e9c84915291"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jdk"
+MAINTAINER="Roberto Neri"
+EMAIL="rneri@libero.it"
diff --git a/multimedia/ProjectX/README b/multimedia/ProjectX/README
new file mode 100644
index 0000000000..2880d69534
--- /dev/null
+++ b/multimedia/ProjectX/README
@@ -0,0 +1,2 @@
+ProjectX is a video editing and demultiplexing tool, particularly
+useful for syncing and repairing captured DVB MPEG files.
diff --git a/multimedia/ProjectX/doinst.sh b/multimedia/ProjectX/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/multimedia/ProjectX/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/multimedia/ProjectX/slack-desc b/multimedia/ProjectX/slack-desc
new file mode 100644
index 0000000000..67c7883de7
--- /dev/null
+++ b/multimedia/ProjectX/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ProjectX: ProjectX (DVB demux tool)
+ProjectX:
+ProjectX: ProjectX is a video editing and demultiplexing tool, particularly
+ProjectX: useful for syncing and repairing captured DVB MPEG files.
+ProjectX:
+ProjectX: Homepage: http://project-x.sourceforge.net/
+ProjectX:
+ProjectX:
+ProjectX:
+ProjectX:
+ProjectX: